Bug 90182 - update cad/ngspice_rework to 17
Summary: update cad/ngspice_rework to 17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tim Bishop
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-10 12:30 UTC by AMAKAWA Shuhei
Modified: 2005-12-13 18:43 UTC (History)
0 users

See Also:


Attachments
file.diff (7.33 KB, patch)
2005-12-10 12:30 UTC, AMAKAWA Shuhei
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description AMAKAWA Shuhei 2005-12-10 12:30:02 UTC
              update cad/ngspice_rework to 17

How-To-Repeat:               
Removed files:
files/patch-src:frontend:aspice.c
files/patch-src:frontend:control.c
files/patch-src:spicelib:analysis:cktncdump.c

Added files:
files/patch-configure
files/patch-src:frontend:resource.c
Comment 1 Tim Bishop freebsd_committer 2005-12-10 14:18:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tdb

I'll handle this.
Comment 2 Tim Bishop freebsd_committer 2005-12-10 14:39:02 UTC
State Changed
From-To: open->feedback

I've added an SHA256 checksum and modified the names of your new 
patches (: is no longer allowed - use __ instead). Can you please 
approve this modification? 

http://people.freebsd.org/~tdb/patches/90182.diff
Comment 3 Tim Bishop freebsd_committer 2005-12-11 17:42:53 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 Pedro F. Giffuni 2005-12-12 04:11:54 UTC
Hi:

I noticed (a little late) that this patch links GNU readline and leaves
debugging active when PACKAGE_BUILDING. 

We have been specifically avoiding linking GNU readline here to avoid license
issues. ngspice can now use libedit (this didn't work for me on 4.x though). 

I suggest we completely remove the GNU readline flag from this port.

Thanks for the update!

    Pedro.


	

	
		
___________________________________ 
Yahoo! Mail: gratis 1GB per i messaggi e allegati da 10MB 
http://mail.yahoo.it
Comment 5 Tim Bishop freebsd_committer 2005-12-12 09:57:00 UTC
State Changed
From-To: closed->open
Comment 6 Tim Bishop freebsd_committer 2005-12-12 10:02:29 UTC
On Mon, Dec 12, 2005 at 04:20:04AM +0000, pfgshield-freebsd@yahoo.com wrote:
>  I noticed (a little late) that this patch links GNU readline and leaves
>  debugging active when PACKAGE_BUILDING. 
>  
>  We have been specifically avoiding linking GNU readline here to avoid license
>  issues. ngspice can now use libedit (this didn't work for me on 4.x though). 
>  
>  I suggest we completely remove the GNU readline flag from this port.

Is this what you're suggesting?

http://people.freebsd.org/~tdb/patches/90182-2.diff

Tim.

-- 
Tim Bishop
PGP Key: 0x5AE7D984
Comment 7 Pedro F. Giffuni 2005-12-12 16:25:27 UTC
--- Tim Bishop <tdb@freebsd.org> ha scritto: 


...
> Is this what you're suggesting?
> 
> http://people.freebsd.org/~tdb/patches/90182-2.diff
> 
> Tim.
> 


Yes,

Thanks!

    Pedro


	

	
		
___________________________________ 
Yahoo! Mail: gratis 1GB per i messaggi e allegati da 10MB 
http://mail.yahoo.it
Comment 8 Tim Bishop freebsd_committer 2005-12-13 18:42:54 UTC
State Changed
From-To: open->closed

Committed, with approval. Thanks.